Subject: Re: Condition Variables?
From: Robert Collins <[email-masked]>
To: Wesel <[email-masked]>
Cc: [email-masked]
Date: 16 Aug 2001 09:10:13 +1000

On 15 Aug 2001 12:36:44 -0700, Wesel wrote:
> In my copy of the libraries (Cygwin 1.3.2) I noticed the
> PTHREAD_COND_INITIALIZER macro was unfinished, and in need of fixing. 
> How reliable are condition variables in cygwin?  Are they completely
> broken, or is it just that one macro?

1.3.2 was a broken release threads-wise.

> I asked about it on comp.programming.threads and was informed that "the
> thread library you happen to be stuck using sort of almost pretends to
> be POSIX threads but lacks critical and basic capabilities required of
> any thread library."  I know we're not perfect, but cygwin is supposed

Someone out there was a bit harsh. Ah well.

> to try its darndest to provide a POSIX interface.  How would one go
> about fixing the problems with condition variables?

Uhmm, a) report the actual bug you are experiencing.
b) in this case AFAIK there is no current bug with single-process
condition variables. Cygwin doesn't have proper support for shared
process condition/mutex variables yet. 
c) To get a fixed version download a snapshot cygwin dll.

Cheers, Rob.
 
> Wesel
> Who hasn't even managed to compile the cygwin source, so be gentle with
> him.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/